@import url('https://fonts.googleapis.com/css?family=Raleway:400,700');
:root{
	--main-color:#146C94;
	--secondary-color:#AFD3E2;
	--thirdcolor:#19A7CE;
	--light-color:#e4e5f1;
	--dark-color:#161722;
	--gray-color:#777a92;
	--medium-color:#cacde8;
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;	
	font-family: Raleway, sans-serif;
}

body {
	background: #146C94;
    display: flex;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
}

.container {
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
}

.login_div {		
	background: linear-gradient(90deg, var(--main-color), var(--secondary-color));
	position: relative;	
	height: 500px;
	width: 360px;	
	box-shadow: 0px 0px 24px var(--secondary-color);
	overflow: hidden;
}

.login_content {
	z-index: 1;
	position: relative;	
	height: 100%;
}

.login_content .logo{
	margin-top: 20px;
}

.login_content .logo img{
	width: 200px;
	border-radius: 50%;
	margin-top: 20px;
}

.login_content h1{
	font-weight: bold;
	padding-left: 20px;
	color:var(--thirdcolor)
}

.login_background {		
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 0;
	-webkit-clip-path: inset(0 0 0 0);
	clip-path: inset(0 0 0 0);	
}

.login_background_square {
	transform: rotate(45deg);
	position: absolute;
}

.login_background_square1 {
	height: 550px;
	width: 500px;
	background: #ecefe8;	
	top: 0px;
	right: 110px;	
	border-radius: 0 72px 0 0;
}


.login_background_square2 {
	height: 540px;
	width: 190px;
	background: linear-gradient(270deg, var(--thirdcolor), var(--main-color));
	top: -300px;
	right: 0;	
	border-radius: 32px;
}

.login_background_square3 {
	height: 400px;
	width: 600px;
	background: linear-gradient(270deg, var(--thirdcolor), var(--main-color));
	top: 420px;
	right: -10px;	
	border-radius: 60px;
}

.login {
	width: 320px;
	padding: 30px;
	padding-top: 0px;
	margin-top: -50px;
}

.login__field {
	padding: 20px 0px;	
	position: relative;	
}

.login__icon {
	position: absolute;
	top: 35px;
	color: var(--gray-color);
}

.login__input {
	border: none;
	border-bottom: 2px solid #D1D1D4;
	color:var(--dark-color);
	background: none;
	padding: 10px;
	padding-left: 20px;
	font-weight: 700;
	width: 85%;
	transition: .2s;
}

.login__input:active,
.login__input:focus,
.login__input:hover {
	outline: none;
	border-bottom-color: var(--main-color);
}

.login__submit {
	background: #222;
	font-size: 14px;
	margin-top: 0px;
	padding: 10px 20px;
	border-radius: 10px;
	border: 1px solid #222;
	font-weight: 800;
	display: flex;
	align-items: center;
	width: auto;
	color: var(--main-color);
	box-shadow: 0px 2px 2px var(--thirdcolor);
	cursor: pointer;
	transition: .2s;
	text-align: center;
}
 .button__text{
	color:white;
 }

.login__submit:active,
.login__submit:focus,
.login__submit:hover {
	border-color: var(--thirdcolor);
	outline: none;
}

.button__icon {
	font-size: 24px;
	margin-left: auto;
	color: var(--main-color);
}

footer{
	background-color: var(--secondary-color);
	width: 100%;
	height: auto;
}

footer .footer p{
	padding:5px;
	text-align: center;
	font-weight: bold;
	color:var(--dark-color)
}


.message_error{
	background: rgb(243, 149, 133);
	color:white;
	padding: 10px;
	margin:7px;
	border-radius: 10px;
}


